/*
 * Virtual per-process performance counters.
 *
 * Copyright (C) 1999-2000  Mikael Pettersson
 */

#ifdef CONFIG_PERFCTR_VIRTUAL
extern int vperfctr_attach(int pid, int writable);
extern int vperfctr_sample_current(void);
extern int vperfctr_unlink_current(void);
#else
static __inline__ int vperfctr_attach(int pid, int writable)
{
	return -ENOSYS;
}
static __inline__ int vperfctr_sample_current(void) { return -ENOSYS; }
static __inline__ int vperfctr_unlink_current(void) { return -ENOSYS; }
#endif

#if defined(MODULE) && defined(CONFIG_PERFCTR_VIRTUAL)
extern void vperfctr_init(void);
extern void vperfctr_exit(void);
#else
static __inline__ void vperfctr_init(void) { }
static __inline__ void vperfctr_exit(void) { }
#endif
